Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Process_Semaphore.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Semaphore.h"`
`#include "ace/Process_Semaphore.inl"`

Include dependency graph for Process_Semaphore.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Process_Semaphore
| Wrapper for Dijkstra style general semaphores that work across processes. More...
class | ACE_Malloc_Lock_Adapter_T< ACE_Process_Semaphore >
| Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Process_Semaphore. More...

## Detailed Description

Id
  Process_Semaphore.h,v 4.15 2005/11/26 03:13:13 ossama Exp

Wrapper for Dijkstra style general semaphores that work across processes.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>